Skip to main content
POST
/
organizations
/
{org_id}
/
financial-files
Upload financial file
curl --request POST \
  --url https://api.mycreditapp.ai/v1-beta/organizations/{org_id}/financial-files \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --header 'Requester-Organization-ID: <requester-organization-id>' \
  --header 'Target-Organization-ID: <target-organization-id>' \
  --form 'currency=<string>' \
  --form file='@example-file'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "original_filename": "<string>",
  "mime_type": "<string>",
  "size_bytes": 123,
  "sha256": "<string>",
  "currency": "<string>",
  "status": "uploaded",
  "uploaded_by_organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "uploaded_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "file_message": "No valid document is found"
}

Authorizations

Authorization
string
header
required

Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.

Headers

Requester-Organization-ID
string<uuid>
required

The unique identifier of the organization making the request. This ID is used to authorize the requester within the system.

Example:

"054b4106-174b-46b0-97f8-86d8d7b6f0af"

Target-Organization-ID
string<uuid>
required

The unique identifier of the organization that is the target of the request. The Target-Organization-ID may match the Requester-Organization-ID if the requester accesses their own resources. If the Target-Organization-ID differs from the Requester-Organization-ID, the requester can access third-party resources if the requester has a connection with the target organization and is authorized to perform such actions.

Example:

"123e4567-e89b-12d3-a456-426614174000"

Path Parameters

org_id
string<uuid>
required

Unique identifier of the organization

Example:

"a3c9e8f1-2b4d-4c6e-8f0a-1b2c3d4e5f60"

Body

multipart/form-data
currency
string
required

Valid organization's currency code in ISO 4217

Required string length: 3
Examples:

"USD"

"CAD"

file
file
required

Financial file to upload. This should be a valid file with max size of 20971520 bytes and contain one of allowed mime type: application/x-rar-compressed, application/vnd.rar, application/zip, application/x-7z-compressed, application/pdf.

Response

Successful Response

id
string<uuid>
required

Unique identifier of the uploaded financial file

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

original_filename
string
required

Original name of the uploaded file

Required string length: 1 - 255
Examples:

"financials_q3_2025.pdf"

"report_2025.pdf"

mime_type
string
required

MIME type of the uploaded file, must be on of: application/x-rar-compressed, application/vnd.rar, application/zip, application/x-7z-compressed, application/pdf

Required string length: 1 - 100
Examples:

"application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"

"text/csv"

size_bytes
integer
required

Size of the file in bytes with max size of 20971520 bytes

Examples:

153600

204800

sha256
string
required

SHA-256 hash of the file content for integrity verification

Required string length: 64
Example:

"e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855"

currency
string
required

Valid organization's currency code in ISO 4217

Required string length: 3
Examples:

"USD"

"CAD"

status
enum<string>
required

Current processing status of the file

Available options:
uploaded,
processing,
valid,
invalid,
failed
uploaded_by_organization_id
string<uuid>
required

Unique identifier of the organization, that uploaded the file

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

uploaded_at
string<date-time>
required

Timestamp when the file was uploaded

Example:

"2025-09-23T16:07:35.675578"

created_at
string<date-time>
required

Timestamp when the file was created

Example:

"2025-09-23T16:07:35.675578"

updated_at
string<date-time>
required

Timestamp when the file was updated

Example:

"2025-09-23T16:07:35.675578"

file_message
string | null

Optional message related to the file processing, e.g., errors or warnings

Maximum string length: 1000
Example:

"No valid document is found"